Package com.orbbec.obsensor

## Enum FrameType

- java.lang.Object
- - java.lang.Enum<FrameType>
  - - com.orbbec.obsensor.FrameType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FrameType>`

    public enum FrameType
    extends java.lang.Enum<FrameType>

Describe the Frame type enumeration value

### Enum Constant Summary

Enum Constants
`ACCEL` Accelerometer data frame
`COLOR` color frame
`DEPTH` depth frame
`FRAME_SET` Frame collection (internally contains a variety of data frames)
`GYRO` Gyroscope data frame
`IR` Infrared frame
`IR_LEFT` Left IR frame
`IR_RIGHT` Right IR frame
`POINTS` point cloud frame
`RAW_PHASE` Rawphase frame
`VIDEO` Video frames (infrared, color, depth frames are all video frames)

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FrameType` `get​(int value)` Get the data frame type corresponding to the specified index
`int` `value()` Get the index corresponding to the data frame type
`static FrameType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FrameType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VIDEO

    public static final FrameType VIDEO

Video frames (infrared, color, depth frames are all video frames)

#### IR

    public static final FrameType IR

Infrared frame

#### COLOR

    public static final FrameType COLOR

color frame

#### DEPTH

    public static final FrameType DEPTH

depth frame

#### ACCEL

    public static final FrameType ACCEL

Accelerometer data frame

#### FRAME_SET

    public static final FrameType FRAME_SET

Frame collection (internally contains a variety of data frames)

#### POINTS

    public static final FrameType POINTS

point cloud frame

#### GYRO

    public static final FrameType GYRO

Gyroscope data frame

#### IR_LEFT

    public static final FrameType IR_LEFT

Left IR frame

#### IR_RIGHT

    public static final FrameType IR_RIGHT

Right IR frame

#### RAW_PHASE

    public static final FrameType RAW_PHASE

Rawphase frame

### Method Detail

#### values

    public static FrameType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FrameType c : FrameType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FrameType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the data frame type

Returns:
  index value

#### get

    public static FrameType get​(int value)

Get the data frame type corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  data frame type